#182 Minidlna activity in background

open-wont-fix
nobody
None
5
2013-06-19
2013-02-14
Spon901
No

I have installed minidlna on TPLINK1043ND router. I have 2 TV connected in the network, one Samsung and one LG. On both TV I can the dlna steaming of movies works fine. Subtitles work also . No disconnection at all. the only problem is that once the LG TV is started and switched to a TV channel, the minidlna goes to around 100% of CPU utilization, and the network is flooded with requests from the LG tv, like it wants to browse the entire library even in that time I'm watching TV. The other TV (the samsung one) did not experience this behavior. In log I have following error at an interval of around 20 seconds , which might be related.

[2013/02/14 00:05:36] upnphttp.c:1049: warn: HTTP Connection closed unexpectedly

I agree that it might be because the TV implementation, but because of the above error, it might be server issue also. Maybe a configuration issue.

I attached the log obtained starting the minidlna in debug mode, maybe is of interest.

The LG tv has the IP 192.168.1.3 and the Samsung one 192.168.1.6. The debug log was obtained having both TV's opened.

Discussion

  • Spon901
    Spon901
    2013-02-14

     
    Attachments
  • I have olse the same problem on raspbian (raspberry pi).
    After a few hours, the load drops to normal.

     
  • Justin Maggard
    Justin Maggard
    2013-03-26

    • status: open --> open-wont-fix
     
  • Justin Maggard
    Justin Maggard
    2013-03-26

    What we have here in the debug log, is the LG TV pulling the entire video list in the most inefficient way. The log shows you have 4942 videos, and the LG TV searching the entire media list for video files, 10 results at a time. So this would result in 495 search requests. Unfortunately, there likely isn't a way we can change the client's behavior.

     
  • I have a question because I called LG service.
    They told me that it's not TV gets a whole library dlna, but the server (minidlna) sends the entire library to tv.
    Is that how it works?

     
  • Justin Maggard
    Justin Maggard
    2013-03-27

    No, that's not how it works. The server does not send unsolicited information to the client.

    Can you post your debug log of the entire time minidlna is actively working? You'll probably want to compress it before uploading.

     
  • Again, I called LG service.
    This time I talked with a man ;-)
    He said that the TV is not multi-tasking, and maybe dlna server try to communicate with the TV and it fails. Maybe these messages "HTTP Connection closed unexpectedly" it is a side effect of doing so.
    I recall that at the time I watch TV and I do not use dlna.

    When I turn on the TV does not have this effect, everything is okay. But if I turn on the TV to "show me dlna servers" then begins cpu load.
    When I go inside (on TV) to dlna server and I view folders or watch any move, mp3 then cpu load drop down to normal. Then, when I exit and again watch TV channel then cpu load go up.

    for a while I'll add a log

     
  • Justin Maggard
    Justin Maggard
    2013-03-27

    You can ignore those "HTTP Connection closed unexpectedly" messages. Many DLNA devices normally work by requesting more data than they actually plan to use, and then abruptly breaking the connection. That's what causes these messages, but it's usually totally normal operation for those clients.

     
  • How can I add a file ?

     
  • I was add a ticket on my project [https://sourceforge.net/p/orbada/bugs/97/]
    and attach to them all files :-)
    config file, netstat log, minidlna log with debug option and minidlna.log with strange entries.

    minidlna.log
    [2013/03/27 18:50:15] upnpevents.c:363: warn: upnp_event_send: send(): Brak trasy do hosta
    in english "No route to host"
    This show when minidlna reloading library and I turnoff my TV
    [2013/03/27 18:59:45] minidlna.c:132: error: bind(http): Adres jest ju? w u?yciu
    in english "The address is already in use" ?
    netstat after show this messages in attached file

    minidlna-debug-mode.log
    I start minidlna with -d option
    I turn on TV
    I select "show me dlna servers" on TV
    I go into RPI (minidlna) server
    I go back to TV channel
    I turnoff TV
    Stop minidlna

     
  • Hi!

    I analyzed the logs.
    It seems to me that this was a problem TV. In the log, there is information on several computers on my network. All send request to download "ContentDir" but without giving the download "StartingIndex" and "RequestedCount".
    Television 192.168.0.10 sends such information, StartingIndex 0, RequestedCount 10 and so on.
    Again, I called LG service and another man confirmed that it actually is. Unfortunately nothing could be done.
    Are there any configuration options minidlna to prevent the downloading of all the information about shared files by the tv?

     
  • Hi

    "... You'll probably want to compress it before uploading ..."
    can you tell me how to do this ?

     
  • Sergey
    Sergey
    2013-06-17

    Hi, i think i have the same problem with dlna v.0.25 and tv LG.
    I start minidlna on router Zyxel and start scan files (about 1 Tb of video). All database complete at 15:34 (minidlna.log). When minidlna scan files and makes database i turn off all my TVs. After database was complete, 5 hours all be fine. After 5 hours i turn my TV on and play movies from dlna. Some minutes and router processor increase to 98%.
    I stop my dlna and processor was 3%. Sorry for my bad english, i'am from Russia.

     
    Attachments
  • Sergey
    Sergey
    2013-06-19

    Yesturday i have experiment with my TVs:
    I have router Zyxel Keenetic, firmware: KEENETIC-V1.00[BFW.4.4]D0
    Have TVs: LG SMART 32LS570T-ZB firmware 04.40.23, 42LW575S-ZC firmware 06.01.24, 47LM620T-ZE firmware 04.40.23. And minidlna 0.25 For my experiment i start minidlna and i turn on my TV 32LS... - 2 hours all ok, processor about 5%, turn off tv. I turn on my next TV - 42LW... - all the same ok. Turn off. I turn on my 3-rd tv - 47LM.. and i have problem: my keenetic processor goes to 100% but i only turn on, dont go to DLNA service on tv .. i only watch tv. When i turn off my tv processor back to 5% of loading ...